Get Deployment Kibana Resource Info

Base URL
https://api.elastic-cloud.com/api/v1
No auth

Get info about a Kibana Resource belonging to a given Deployment.

Path parameters

deployment_id string required

Identifier for the Deployment

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one).

Query parameters

show_metadata boolean · default: false

Whether to include the full cluster metadata in the response - can be large per cluster and also include credentials.

show_plans boolean · default: true

Whether to include the full current and pending plan information in the response - can be large per cluster.

show_plan_logs boolean · default: false

Whether to include with the current and pending plan information the attempt log - can be very large per cluster.

show_plan_history boolean · default: false

Whether to include with the current and pending plan information the plan history- can be very large per cluster.

show_plan_defaults boolean · default: false

If showing plans, whether to show values that are left at their default value (less readable but more informative).

convert_legacy_plans boolean · default: false

If showing plans, whether to leave pre-2.0.0 plans in their legacy format (the default), or whether to update them to 2.0.x+ format (if 'true').

show_settings boolean · default: false

Whether to show cluster settings in the response.

clear_transient boolean · default: false

If set (defaults to false) then removes the transient section from all child resources, making it safe to reapply via an update

Responses

Standard response.

application/json
ref_id string required

The locally-unique user-specified id of a Resource

elasticsearch_cluster_ref_id string required

The Elasticsearch cluster that this resource depends on.

id string required

The randomly-generated id of a Resource

region string required

The region where this resource exists

info object required

The top-level object information for a Kibana instance.

cluster_id string required

The id of the cluster

cluster_name string required

The name of the cluster

elasticsearch_cluster object required

Information about the specified Elasticsearch cluster.

elasticsearch_id string required

The Elasticsearch cluster Id

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

deployment_id string

The id of the deployment to which this Kibana Server belongs to.

healthy boolean required

Whether the cluster is healthy or not (one or more of the info subsections will have healthy: false)

status enum required

Cluster status

Values: initializing stopping stopped rebooting restarting reconfiguring started
plan_info object required

Information about the current, pending, or past Kibana instance plans.

healthy boolean required

Whether the plan situation is healthy (if unhealthy, means the last plan attempt failed)

pending object

Information about the current, pending, or past Kibana instance plan.

Same fields as current in plan_info
history object[] required
Same fields as current in plan_info
metadata object required

Information about the public and internal state, and the configuration settings of an Elasticsearch cluster.

version integer · format: int32 required

The resource version number of the cluster metadata

last_modified string · format: date-time required

The most recent time the cluster metadata was changed (ISO format in UTC)

endpoint string

The DNS name of the cluster endpoint, if available

service_url string

The full URL to access this deployment resource

aliased_endpoint string

The DNS name of the cluster endpoint derived from the deployment alias, if available

aliased_url string

The full aliased URL to access this deployment resource

cloud_id string

The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana (only present if both exist)

raw object

An unstructured JSON representation of the public and internal state (can be filtered out via URL parameter). The contents and structure of the raw field can change at any time.

topology object required

The topology for Elasticsearch clusters, multiple Kibana instances, or multiple APM Servers. The ClusterTopologyInfo also includes the instances and containers, and where they are located.

healthy boolean required

Whether the cluster topology is healthy (ie all instances are started and the services they run - ie elasticsearch - are available

instances object[] required
instance_name string required

The name of the instance in Elastic Cloud

service_version string

The version of the service that the instance is running (eg Elasticsearch or Kibana), if available

healthy boolean required

Whether the instance is healthy (ie started and running)

container_started boolean required

Whether the container has started (does not tell you anything about the service -ie Elasticsearch- running inside the container)

service_running boolean required

Whether the service launched inside the container -ie Elasticsearch- is actually running

maintenance_mode boolean required

Whether the service is is maintenance mode (meaning that the proxy is not routing external traffic to it)

zone string

The zone in which this instance is being allocated

allocator_id string

The id of the allocator on which this instance is running (if the container is started or starting)

service_roles string[]

List of roles assigned to the service running in the instance. Currently only populated for Elasticsearch, with possible values: master,data,ingest,ml

node_roles enum[]

A list of the node roles assigned to the service running in the instance. Currently populated only for Elasticsearch.

Values: master ingest ml data_hot data_content data_warm data_cold data_frozen remote_cluster_client transform voting_only

External resources related to the cluster

A map of application-specific operations (which map to 'operationId's in the Swagger API) to metadata about that operation

region string

The region that this cluster belongs to. Only populated in SaaS or federated ECE.

Base URL
https://api.elastic-cloud.com/api/v1